---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

spool II-4-3-8_Triggers.log;

/*==============================================================*/
/* Disparador: TRG_BOTIGA                                       */
/*==============================================================*/

CREATE OR REPLACE TRIGGER "TRG_BOTIGA" 
   before insert on "BOTIGA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_BOTIGA" is null then 
         select SEQ_BOTIGA.nextval into :NEW."ID_BOTIGA" from dual; 
      end if; 
   end if; 
end;
/

ALTER TRIGGER "TRG_BOTIGA" ENABLE;
/

spool off;

/*
CREATE OR REPLACE TRIGGER TRG_BOTIGA 
	BEFORE INSERT ON BOTIGA FOR EACH ROW 
BEGIN	
	SELECT SEQ_BOTIGA.NEXTVAL INTO :NEW.ID_BOTIGA
		from DUAL;
END TRG_BOTIGA;
/

*/