---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

/*****************************************************************
-- Nom:                 TEST_BOTIGA_ESBORRAT
--
-- Descripci:          Esborra una botiga de la cadena de de botigues de roba
--
-- Tasca: 
--
-- Parmetres entrada:
							   PID_BOTIGA NUMBER(3);
--
-- Important: comprovar, abans d'executar aquest script, que la botiga amb el ID_BOTIGA que anem a modificar o esborrar existeix.
--
*****************************************************************/

SET SERVEROUTPUT ON;

DECLARE
   PID_BOTIGA NUMBER(3);
   PEMAIL_GER VARCHAR2(25);
   PTREBALLADORS NUMBER(3);
   PFRANQUICIA VARCHAR(1);
   PFISICA VARCHAR(1);
   PREBAIXES VARCHAR(1);
   PDIUMENGE VARCHAR(1);
   PID_CIUTAT NUMBER(3);
   PID_REGIO NUMBER(3);
   RESPOSTA VARCHAR2(200);
   EXCEP_ERROR EXCEPTION;

BEGIN
       
  -- Esborrar Botiga
  PID_BOTIGA := 1;
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARBOTIGA');
  ESBORRARBOTIGA(
    PID_BOTIGA => PID_BOTIGA,
    RESPOSTA => RESPOSTA
  );

  IF RESPOSTA <> 'OK' 
  THEN RAISE EXCEP_ERROR;
  END IF;

  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  DBMS_OUTPUT.PUT_LINE('ID_BOTIGA: '||PID_BOTIGA);

COMMIT;

EXCEPTION
  WHEN EXCEP_ERROR THEN ROLLBACK;
	
END;
/