---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

spool II-4-3-3_CreacioUsuari.log;

-- Creaci d'un usuari

DROP USER TFC1 CASCADE;

CREATE USER TFC1
IDENTIFIED BY tfc1
DEFAULT TABLESPACE TFCTS01
QUOTA UNLIMITED ON TFCTS01
TEMPORARY TABLESPACE TEMP;
 
-- Assignaci de permisos
GRANT CREATE SESSION TO TFC1;
GRANT CREATE TABLE TO TFC1;
GRANT CREATE VIEW TO TFC1;
GRANT CREATE PROCEDURE TO TFC1;
GRANT CREATE TRIGGER TO TFC1;
GRANT CREATE SEQUENCE TO TFC1;
GRANT UPDATE ANY TABLE TO TFC1;
GRANT INSERT ANY TABLE TO TFC1;
GRANT SELECT ANY TABLE TO TFC1;

spool off;