---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------


/*****************************************************************
-- Nom:                 CONSULTA_ME_I
--
-- Descripci:          obt les dades de les consultes del mdul estadstic,
--                      ja precalculades, per a un any.
--
-- Parmetres entrada:
						
--
-- Error controlats:  -- 
--
*****************************************************************/
SET LINESIZE 250
SET PAGESIZE 25

DEF pANYO = '2015';

-- Comentari: els valors de milers vindran marcats per una "," i els decimals per un "."

TTITLE 'CONSULTES_MODUL_ESTADISTC_PER_A_UN_ANY' SKIP 2;

COLUMN ANYO FORMAT 9,990 HEADING 'ANY';
COLUMN BNET_CAD FORMAT 999,990 HEADING 'B.NET CADENA';
COLUMN BOTIGA_MES_BNET FORMAT A17 HEADING 'BOTIGA MES B.NET';
COLUMN  BNET_BOT FORMAT 999,990 HEADING 'Q BOTIGA MES B.NET';
COLUMN ID_PROD FORMAT A17 HEADING 'EAN13';
COLUMN QUANT_PROD FORMAT 999,990 HEADING 'Q. PRODUCTE';
COLUMN HORA_MES_PROD FORMAT A4 HEADING 'HORA MES PROD.';
COLUMN Q_HORA_MES_PROD FORMAT 999,990 HEADING 'Q. HORA MES PROD.';
COLUMN HORA_MENYS_PROD FORMAT A4 HEADING 'HORA MENYS PROD.';
COLUMN Q_HORA_MENYS_PROD FORMAT 999,990 HEADING 'Q. HORA MENYS PROD.';
COLUMN DIA_MES_VENDA FORMAT A3 HEADING 'DIA MES VENDA';
COLUMN Q_DIA_MES_VENDA FORMAT 999,990 HEADING 'Q. DIA MES VENDA';
COLUMN DIA_MENYS_VENDA FORMAT A3 HEADING 'DIA MENYS VENDA';
COLUMN Q_DIA_MENYS_VENDA FORMAT 999,990 HEADING 'Q. DIA MENYS VENDA';
COLUMN CIUTAT_MES_BNET FORMAT A14 HEADING 'CIUTAT MES B.NET';
COLUMN BNET_CIUTAT FORMAT 999,990 HEADING 'Q. CIUTAT MES B.NET';
COLUMN TPC_BNET_BVIRTUALS FORMAT 990.99 HEADING '% B.NET BOT. VIRTUALS';


SELECT 
	ANYO,
	BNET_CAD,
	BOTIGA_MES_BNET,
	BNET_BOT,
	ID_PROD,
	QUANT_PROD,
	HORA_MES_PROD,
	Q_HORA_MES_PROD,
	HORA_MENYS_PROD,
	Q_HORA_MENYS_PROD,
	DIA_MES_VENDA,
	Q_DIA_MES_VENDA,
	DIA_MENYS_VENDA,
	Q_DIA_MENYS_VENDA,
	CIUTAT_MES_BNET,
	BNET_CIUTAT,
	TPC_BNET_BVIRTUALS
	
FROM DWH_EST 
WHERE ANYO = &pANYO;
