---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

spool II-4-3-8_Triggers_LOGS.log;

-- Creaci de Triggers de LOGS

/*==============================================================*/
/* Disparador: TRG_LOGS                                         */
/*==============================================================*/

CREATE OR REPLACE TRIGGER TRG_LOGS 
   before insert on "LOGS" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_LOG" is null then 
         select SEQ_LOGS.nextval into :NEW."ID_LOG" from dual; 
      end if; 
   end if; 
end;
/

ALTER TRIGGER "TRG_LOGS" ENABLE;
/