---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

/*****************************************************************
-- Nom:                 TEST_BOTIGA_ALTA
--
-- Descripci:          Dna d'alta una botiga de la cadena de de botigues de roba
--
-- Tasca: 
--
-- Parmetres entrada:
							   PID_BOTIGA NUMBER(3);
							   PEMAIL_GER VARCHAR2(25);
							   PTREBALLADORS NUMBER(3);
							   PFRANQUICIA VARCHAR(1);
							   PFISICA VARCHAR(1);
							   PREBAIXES VARCHAR(1);
							   PDIUMENGE VARCHAR(1);
							   PID_CIUTAT NUMBER(3);
							   PID_REGIO NUMBER(3);
--
-- 
--
*****************************************************************/

SET SERVEROUTPUT ON;

DECLARE
   PID_BOTIGA NUMBER(3);
   PEMAIL_GER VARCHAR2(25);
   PTREBALLADORS NUMBER(3);
   PFRANQUICIA VARCHAR(1);
   PFISICA VARCHAR(1);
   PREBAIXES VARCHAR(1);
   PDIUMENGE VARCHAR(1);
   PID_CIUTAT NUMBER(3);
   PID_REGIO NUMBER(3);
   RESPOSTA VARCHAR2(200);
   EXCEP_ERROR EXCEPTION;

BEGIN
   PEMAIL_GER := 'kserrat@gmail.com';
   PTREBALLADORS := 17;
   PFRANQUICIA := 'N';
   PFISICA := 'N';
   PREBAIXES := 'N';
   PDIUMENGE := 'N';
   PID_CIUTAT := 1;
   PID_REGIO := 1;
       
  -- Alta Botiga
  DBMS_OUTPUT.PUT_LINE('--TEST: ALTABOTIGA');
  ALTABOTIGA(
   PEMAIL_GER => PEMAIL_GER,
   PTREBALLADORS => PTREBALLADORS,
   PFRANQUICIA => PFRANQUICIA,
   PFISICA => PFISICA,
   PREBAIXES => PREBAIXES,
   PDIUMENGE => PDIUMENGE,
   PID_CIUTAT => PID_CIUTAT,
   PID_REGIO => PID_REGIO,
   RESPOSTA => RESPOSTA
  );

  IF RESPOSTA <> 'OK' 
  THEN RAISE EXCEP_ERROR;
  END IF;

  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  DBMS_OUTPUT.PUT_LINE('ID_BOTIGA: '||PID_BOTIGA||' PEMAIL_GER: '||PEMAIL_GER||' PTREBALLADORS: '||PTREBALLADORS);
 
COMMIT;

EXCEPTION
  WHEN EXCEP_ERROR THEN ROLLBACK;
	
END;
/