---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

/*****************************************************************
-- Nom:                 TEST_DWH_VENDA_MODIFIACIO
--
-- Descripci:          Modifica una dwh_venda. 
--
-- Tasca: 
--
-- Parmetres entrada:
							PID_BOTIGA NUMBER(3);
							PID_PROD VARCHAR2(13);
							PID_DATA DATE;
							PID_HORA NUMBER(2);
							PQUANTITAT NUMBER;
							PPREU_BRUT NUMBER;
							PBENEFICI_NET NUMBER;
--
-- Important:
--
*****************************************************************/

SET SERVEROUTPUT ON;

DECLARE
   PID_BOTIGA NUMBER(3);
   PID_PROD VARCHAR2(13);
   PID_DATA DATE;
   PID_HORA NUMBER(2);
   PQUANTITAT NUMBER;
   PPREU_BRUT NUMBER;
   PBENEFICI_NET NUMBER;
   RESPOSTA VARCHAR2(200);
   PID_DATA2 VARCHAR2(8);
   EXCEP_ERROR EXCEPTION;
BEGIN
 
  -- Modificar Venda
  DBMS_OUTPUT.PUT_LINE('--TEST: MODIFICARDWHVENDA');
  PID_BOTIGA := 2;
  PID_PROD := '8425623500136';
   PID_DATA2 := '20102016';
   PID_DATA := TO_DATE(PID_DATA2,'DDMMYYYY');          
   PID_HORA := 12;                  
   PQUANTITAT := 17;
   PPREU_BRUT := 12;
   PBENEFICI_NET := 5;

  MODIFICARDWHVENDA(
   PID_BOTIGA => PID_BOTIGA,
   PID_PROD => PID_PROD,
   PID_DATA => PID_DATA,
   PID_HORA => PID_HORA,
   PQUANTITAT => PQUANTITAT,
   PPREU_BRUT => PPREU_BRUT,
   PBENEFICI_NET => PBENEFICI_NET,
   RESPOSTA => RESPOSTA
  );

  IF RESPOSTA <> 'OK' 
  THEN RAISE EXCEP_ERROR;
  END IF;  

  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  
COMMIT;

EXCEPTION
  WHEN EXCEP_ERROR THEN ROLLBACK;
	
END;
/