---------------------------------------------------------------------------------
-- Alumne: Miguel Alvarez Lopez (bluesea)
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO D'UN DATA WAREHOUSE PER UNA CADENA DE BOTIGUES DE ROBA
---------------------------------------------------------------------------------

/*****************************************************************
-- Nom:                 TEST_PRODUCTES_ESBORRAT
--
-- Descripci:          Esborra un producte del catleg de la botiga. 
--
-- Tasca: 
--
-- Parmetres entrada:
												   PID_PROD VARCHAR2(13);
												   PDESCRIPCIO VARCHAR2(25);
												   PDATA_CAT DATE;
--
-- Important: comprovar, abans d'executar aquest script, que el producte amb el ID_PROD que anem a modificar o esborrar existeix.
--
*****************************************************************/

SET SERVEROUTPUT ON;

DECLARE
   PID_PROD VARCHAR2(13);
   PDESCRIPCIO VARCHAR2(25);
   PDATA_CAT DATE;
   RESPOSTA VARCHAR2(200);
   EXCEP_ERROR EXCEPTION;

BEGIN
    
  -- Esborrar Producte
  PID_PROD := '8425623500136';
  DBMS_OUTPUT.PUT_LINE('--TEST: ESBORRARPRODUCTES');
  ESBORRARPRODUCTES(
    PID_PROD => PID_PROD,
    RESPOSTA => RESPOSTA
  );

  IF RESPOSTA <> 'OK' 
  THEN RAISE EXCEP_ERROR;
  END IF;

  DBMS_OUTPUT.PUT_LINE('RESPOSTA = ' || RESPOSTA);
  DBMS_OUTPUT.PUT_LINE('ID_PROD: '||PID_PROD);

COMMIT;

EXCEPTION
  WHEN EXCEP_ERROR THEN ROLLBACK;
	
END;
/